html {
    font-size: 16px;
    position: relative;
    min-height: 100%;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

body {
    font-family: Inter !important;
    line-height: 100% !important;
    max-width: 1440px;
    margin: 0 auto;
}

.form-section {
    column-gap: 1rem;
    grid-template-columns: minmax(14.5rem, auto) 1fr;
}

.module-base {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: stretch;
    background: #fafafa;
    width: 100%;
}

.main-content {
    display: flex;
    padding: 70px 150px 70px 150px;
    align-items: center;
    align-self: stretch;
    border-radius: 12px;
    background: #fafafa;
    width: 100%;
}

.search-criteria {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
    border-radius: 12px;
}

.drop-down-control {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    align-self: stretch;
}

.ae-drop-down-control-width {
    width: 355px;
}

.el-drop-down-control-width {
    width: 550px;
}

.drop-down {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex: 1 0 0;
    background-image: url(../assets/icons/dropdown.svg) !important;
    background-repeat: no-repeat !important;
    background-position: 96% center !important;
}

header {
    background: #dcedff;
    display: flex;
    flex-direction: column;
    align-self: stretch;
    padding-top: 20px;
}

.header-title {
    color: #000d19;
    text-align: center;
    align-items: center;
    font-size: 60px;
    font-style: normal;
    font-weight: 600;
    line-height: 72px;
    letter-spacing: -1.2px;
    padding-top: 96px;
    padding-bottom: 30px;
}

.header-text-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header-text {
    color: #01264c;
    text-align: center;
    font-family: Inter;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
    padding-bottom: 60px;
    max-width: 580px;
}

.header-top {
    padding-left: 120px;
    padding-right: 120px;
}

footer {
    background: #01264c;
    color: #ced4da !important;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    padding: 40px 115px 40px 115px;
}

    footer li {
        list-style-type: none;
        margin-right: 24px;
        float: right !important;
    }

        footer li a {
            color: #ced4da !important;
        }

    footer text {
        white-space: nowrap;
    }

.right-aligned-div {
    margin-left: auto;
    margin-right: 0;
}

.login-button,
.login-button:hover {
    border-radius: 8px;
    background: #014282;
    color: #fff;
    padding: 12px 24px;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
}

.register-button,
.register-button:hover {
    border-radius: 8px;
    border: 1px solid #014282;
    background: #fff;
    color: #014282;
    padding: 12px 24px;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    margin-right: 12px;
}

.alternate-login-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 32px;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    height: 100%;
}

.alternate-login-button,
.alternate-login-button:hover {
    border-radius: 8px;
    border: 1px solid #014282;
    background: #fff;
    color: #014282;
    padding: 12px 24px;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
}

.btn-outline-primary {
    display: flex;
    padding: 12px 25px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 8px 8px 8px 8px;
    border: 1px solid #d0d5dd;
    background: #fff;
    color: #111928;
    text-align: center;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
}

    .btn-check:checked + .btn-outline-primary,
    .btn-check:active + .btn-outline-primary,
    .btn-outline-primary:active,
    .btn-outline-primary.active,
    .btn-outline-primary.dropdown-toggle.show {
        border: 1px solid #014282;
        background-color: #014282;
    }

    .btn-outline-primary:hover {
        border: 1px solid #014282;
        background-color: #014282;
    }

.radio-button-control {
    display: flex;
    gap: 20px;
    align-items: center;
}

.submit-button,
.submit-button:hover {
    border-radius: 8px;
    background: #014282;
    color: #fff;
    padding: 12px 24px;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
}

.error-msg {
    color: #961223;
    background: #fff5f5;
    border: 0.063rem solid #f3797d;
    border-radius: 0.5rem;
    padding: 0.5rem 0.75rem;
    font-size: 0.875rem;
    line-height: 1.188rem;
    letter-spacing: 0.025rem;
    font-weight: 700;
}

.results-body {
    display: flex;
    padding: 48px 112px;
    flex-direction: column;
    gap: 32px;
    align-self: stretch;
}

.results-title {
    color: #181d27;
    font-family: Inter;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px;
}

.app-section-header {
    display: flex;
    background: #fff;
    padding: 0px 24px;
    height: 56px;
}

.app-section-header-text {
    color: #181d27;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: 28px;
    display: flex;
    align-items: end;
    margin-bottom: 8px;
}

.app-section-header-collapse {
    display: flex;
    justify-content: right;
    align-items: center;
    text-align: right;
}

.app-section-select-all {
    display: flex;
    align-items: center;
    align-self: stretch;
    height: 44px;
    max-height: 44px;
    padding: 12px 24px;
    border-bottom: 1px solid #e9eaeb;
    background: #fafafa;
    color: #535862;
    font-family: Inter;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
}

    .app-section-select-all input.form-check-input[disabled] + label {
        color: #535862;
        opacity: 1;
    }

.app-section-select-all-text {
    display: flex;
    align-items: center;
    align-self: stretch;
}

.app-file {
    display: flex;
    padding: 16px 24px;
    align-self: stretch;
}

.app-file-text {
    display: flex;
    align-items: center;
    color: #181d27;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    height: 100%;
}

    .app-file-text input.form-check-input[disabled] + label {
        color: #181d27;
        opacity: 1;
    }

.app-file-download {
    display: flex;
    justify-content: right;
    align-items: center;
    text-align: right;
    color: #181d27;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
}

.clickable-element {
    cursor: pointer;
}

.download-button-div {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    align-self: stretch;
}

.download-button,
.download-button:hover {
    display: flex;
    padding: 12px 18px;
    justify-content: center;
    align-items: center;
    gap: 6px;
    border-radius: 8px;
    border: 2px solid rgba(255, 255, 255, 0.12);
    background: #014282;
    box-shadow: 0 0 0 1px rgba(10, 13, 18, 0.18) inset, 0 -2px 0 0 rgba(10, 13, 18, 0.05) inset, 0 1px 2px 0 rgba(10, 13, 18, 0.05);
    color: #fff;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
}

.errorsToast {
    display: flex;
    width: 480px;
    padding: 16px;
    align-items: center;
    border-radius: 8px;
    border: 1px solid #fbd0d0;
    background: #fdf2f2;
}

.errorsToastHeader {
    color: #121212;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    margin: 0px 0px 5px 0px;
    align-self: stretch;
}

.errorsToastText {
    color: #5e5e5e;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    margin: 0px;
}

.errorsToastIcon {
    padding-right: 16px;
}

.form-check-input {
    width: 20px;
    height: 20px;
    border-radius: 6px !important;
    margin-top: 0px;
}

    .form-check-input:checked {
        border: 1px solid #01366a;
        background: #01366a;
    }

.disabled-checkbox-container {
    display: flex;
    width: 20px;
    height: 20px;
    padding: 2px;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    border: 1px solid var(--Gray-300, #d5d7da);
    background: var(--Gray-50, #fafafa);
}

/* mobile styles */

@media (max-width: 767px) {
    .main-content {
        padding: 1rem;
        flex-flow: wrap column;
    }

        .main-content .ae-drop-down-control-width {
            width: 100%;
        }

        .main-content .el-drop-down-control-width {
            width: 100%;
        }

        .main-content .radio-button-control {
            flex-flow: wrap column;
            align-items: start;
            margin-bottom: 1rem;
        }

            .main-content .radio-button-control .btn-group {
                order: 2;
            }

    header .header-top {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    header .header-title {
        font-size: 1.5rem;
        padding-top: 2.5rem;
        padding-bottom: 1.5rem;
        line-height: 2rem;
    }

    header .header-text {
        font-size: 0.87rem;
        padding-bottom: 1.75rem;
        line-height: 1.25rem;
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .search-criteria {
        width: 100%;
    }

        .search-criteria .form-control {
            padding: 0.75rem 1.56rem;
            border-radius: 0.5rem;
        }

    .form-section > div {
        width: 100%;
    }

    .form-section div .submit-button {
        width: 100%;
    }

    footer {
        padding: 1.5rem;
    }

        footer text {
            order: 1;
            margin-bottom: 2rem;
        }

        footer > div ul {
            flex-flow: wrap column;
        }

            footer > div ul li {
                width: 100%;
                margin-top: 2rem;
            }

    /* results page*/
    .results-body {
        padding: 3rem 1.25rem;
    }

    .app-section-header {
        align-items: center;
        justify-content: space-between;
    }

    .app-file > div.col-md-10 {
        width: 90%;
    }

    .app-file-text label {
        padding-left: 1rem;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 250px;
    }

    .app-section-header-text {
        margin-bottom: 0;
    }

    .app-file-download span {
        font-size: 0;
        margin-top: 0;
        background: url(../assets/icons/download.svg) no-repeat center center / 2.5rem;
        width: 2.5rem;
        height: 2.5rem;
    }

        .app-file-download span img {
            display: none;
        }

    .header-top .navbar-toggler-icon {
        background: url(../assets/icons/menu-bars.svg) no-repeat center center / 2rem;
        padding: 0.5rem;
        width: 2.5rem;
        height: 2.5rem;
    }

    .header-top .mobile-menu {
        position: absolute;
        top: 2.5rem;
        right: 1.5rem;
        background: #fff;
        padding: 0.62rem 0;
        width: 206px;
        border-radius: 0.37rem;
    }

    /* Common button styles */
    .register-button,
    .login-button,
    .register-button:hover,
    .login-button:hover {
        background-color: #fff;
        border-radius: 0;
        border: none;
        color: #014282 !important;
        padding: 0.5rem 1.25rem 0.5rem 3rem; /* combine padding */
        margin-right: 0;
        text-align: left;
        background-repeat: no-repeat;
        background-position: 10% center;
        background-size: 1.25rem;
    }

    /* Icons */
    .register-button {
        background-image: url(../assets/icons/login.svg) !important;
    }

    .login-button {
        background-image: url(../assets/icons/add-user.svg) !important;
    }

        /* Hover */
        .register-button:hover,
        .login-button:hover {
            opacity: 0.7;
        }

        /* Focus */
        .register-button:focus,
        .login-button:focus,
        .navbar-toggler:focus {
            box-shadow: none;
        }
}
